/* Colors for styling:
#0d1317 - RichBlack - Header, Background-Color DropmenuBtn, BoxShadows 
#362023 - Licorice - HTML Background-Color
#474747 - Outerspace - Color for Navbuttons and Project-Backgrounds
#FFFFFF - White - Fontcolor, Bordercolor, Background-color Navbtns 
#000000 - Black - Fontcolor, Bordercolor, Boxshadow
#FAF0CA - Lemon chiffon - Navbar-Dropdwn Color, active link color, Contact-Section background color 
#E8E9EB - Anti-flash white - Color for the main section backgrounds
*/

/* General-Styling */

* {
    box-sizing: border-box;
    margin: 0px;
    padding: 0px;
}

html {
    font-family: "Bitter", serif;
    font-size: 16px;
    font-optical-sizing: auto;
    font-weight: 400;
    text-align: center;
    background-color: #362023;
    color: white;
    line-height: 1.5rem;
    scroll-padding-top: 18rem;
}

a {
    color: white;
}

a:link {
    text-decoration: none;
}

a:visited {
    text-decoration: none;
}

a:hover {
    text-decoration: none;
}

a:active {
    text-decoration: none;
}

header {
    background-color: #0d1317;
    padding: 1rem;
    transition: 0.4s;
    position: fixed;
    top: 0;
    z-index: 99;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

li {
    list-style: none;
}

main {
    margin: 1rem;
    transition: 0.6s;
}

h3{
    text-decoration: underline double;
}

h4 {
    text-decoration: underline;
}

/* Header-Styling */

.headerFlex {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
}

#portrait {
    border-radius: 50%;
    width: 15rem;
    height: 15rem;
    transition: 0.3s ease;
    margin: .5rem;
}

#name {
    margin: .5rem;
    transition: 1s ease;
    cursor: pointer;
}

.navBar {
    display: flex;
    flex-flow: column wrap;
    transition: 0.3s ease;
}

.navBar a {
    padding: .5rem;
    margin: .2rem;
    border: 4px solid black;
    background-color: #474747;
    box-shadow: 2px 5px 5px #000000;
}

.navBar a:hover,
.navBar a:focus {
    background-color: white;
    transition: 0.4s;
    color: #000000;
}

.navBar a:active {
    background-color: #FAF0CA;
    transition: 0.0s;
}

.navGrid {
    display: grid;
    grid-row: 5rem 5rem 5rem;
    grid-column: 5rem 5rem 5rem;
}

/*---MEDIA-QUERIES NAVBAR----*/

@media only screen and (max-width: 514px) {
    
    header {
        flex-flow: column wrap;
    }


    #portrait {
        max-width: 10rem; 
        max-height: 10rem; 
    }
    
    .navBar {
        display: none !important; 
    }

    .dropbtn{
        transform: rotate(90deg) !important;
        opacity: 1 !important;
        visibility: visible !important; 
    }
}


/* Dropdown Button for NavBar */

.dropbtn {
    background-color: #0d1317;
    color: white;
    padding: .5rem;
    padding-bottom: .65rem;
    font-size: 1rem;
    border: 1px white solid;
    cursor: pointer;
    transition: 0.3s;
    visibility: hidden;
}

.dropbtn:hover,
.dropbtn:focus {
    background-color: #FAF0CA;
    color: #000000;
    transition: 0.4s;
}

.dropdown {
    position: relative;
    display: inline-block;
}


.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

@media only screen and (max-width: 600px) {
    .dropdown {
        float: right;
    }

    .dropdown-content {
        margin-top: 0.2rem;
        right: 0;
    }
}

.dropdown-content a:hover,
.dropdown-content a:focus {
    background-color: #ddd;
}

.show {
    display: block;
}


/*Gridding the NavBar*/

#cv {
    grid-row: 1 / 2;
    grid-column: 1 / 2;
}

#skill {
    grid-row: 1 / 2;
    grid-column: 2 / 3;
}

#project {
    grid-row: 2 / 3;
    grid-column: 1 / 3;
}

#contact {
    grid-row: 3 / 4;
    grid-column: 1 / 3;
}


/* Main-Styling */

.flexMain {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
}

@media only screen and (max-width: 2768px) {
    .flexMain{
        flex-flow: row wrap;
    }
}

@media only screen and (min-width: 2769px){
    .flexMain{
        flex-flow: column wrap;
    }
}

.index {
    background-color: #000000;
    border-top-left-radius: 1rem;
    border-top-right-radius: 1rem;
    padding: .5rem;
}

/*Bio & CV*/

.container {
    max-width: 2000px;
}

.columns {
    padding: 2rem;
    text-align: left;
    background-color: #E8E9EB;
    border: 4px solid black;
    box-shadow: 10px 5px 5px #000000;
    margin-bottom: 1rem;
    color: #000000;
}

#biography {
    width: fit-content;
    height: fit-content;
    margin-bottom: 1rem;
}

#attention {
    text-decoration: underline dotted;
    color: #000000;
}

#attention:hover,
#attention:focus {
    font-size: larger;
    color: blue;
    transition: 0.3s ease;
}

#cuVi {
    width: 45rem;
}

@media only screen and (max-width:800px) {
    #cuVi{
        width: 35rem;
    }
}

@media only screen and (max-width: 580px){
    #cuVi{
        width: auto;
    }
}
    


#timeCalculator {
    font-weight: bold;
}


.dropCV {
    display: none;
    font-size: .9rem;
}


.dropCvBtn {
    transform: rotate(-90deg);
    padding-bottom: 0.05rem;
    padding-left: .1rem;
    padding-right: .1rem;
    font-weight: bold;
    background-color: #E8E9EB;
    margin-left: 0.2rem;
    margin-right: 0.5rem;
}

#certificate {
    width: 13rem;
    height: 10rem;
    border: 2px black dotted;
    box-shadow: 3px 5px 5px #000000;
}

#certificate:hover,
#certificate:focus {
    transform: scale(1.05);
    transition: 0.4s ease;
}


/*Skills-Section*/

.skillsFlexWrapper {
    display: flex;
    padding: 2rem;
    flex-flow: column wrap;
    width: fit-content;
    justify-content: space-around;
    align-items: center;
}

#skillsStyle {
    width: 100%;
}

.line {
    height: 2rem;
    background: #E8E9EB;
}

.softskillsFlex {
    display: flex;
    background-color: #E8E9EB;
    border: 4px solid black;
    box-shadow: 10px 5px 5px #000000;
    padding: 2rem;
    flex-flow: column wrap;
    color: #000000;
    text-align: left;
}

.subWrapperSkills {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    background-color: #E8E9EB;
    border: 4px solid black;
    box-shadow: 10px 5px 5px #0d1317;
    padding: 2rem;
    color: #000000;
}

.rotateIcon:hover,
.rotateIcon:focus {
    transform: rotateY(360deg);
    transition: 0.8s ease;
}


#gitHub {
    width: 3rem;
    height: 3rem;
}

.skillsToolsBox {
    padding: 0.5rem;
    margin-right: 1rem;
}

/*Projects-Section*/

.wrapperProject {
    display: flex;
    flex-flow: row wrap;
    width: fit-content;
    justify-content: space-around;
    padding: .5rem;
    background-color: #E8E9EB;
    border: 4px solid black;
    box-shadow: 10px 5px 5px #0d1317;
    color: #000000;
}

.flexProject {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: center;
    background-color: #474747;
    padding: 1rem;
    margin: 1rem;
    height: 12rem;
    width: 20rem;
    border: 4px solid black;
    box-shadow: 2px 5px 5px #000000;
}

@media only screen and (max-width: 600px) {
    .flexProject {
        height: fit-content;
        width: fit-content;
    }
}

/*Button-Styling*/
.buttonWrap{
    display: flex;
    flex-flow: column wrap;
}

.buttonWrap p{
    color: white;
    text-decoration: underline;
    font-weight: 500;
}

.button{
    font-family: "Bitter", serif;
    font-weight: bold;
    margin: .5rem 0rem;
    padding: .5rem;
    border: 2px solid black;
    color: black;
    transition: .4s ease;
    box-shadow: 2px 2px 2px #362023;
    border-radius: 1rem;
}

.button:hover{
    background-color: black;
    color: white;
    transform: scale(1.05);
}

.button:active{
    background-color: #FAF0CA;
    color: black;
}

@media only screen and (min-width:345px) and (max-width:415px){
    .buttonWrap{
        flex-flow: row wrap;
        align-items: center;
        justify-content: space-around;
    }

    .button{
        margin-left: .5rem;
    }
}

/*Flex-Rectangle*/
.flexProject:hover,
.flexProject:focus {
    transform: scale(1.05);
    transition: 0.4s ease;
}

.flexProject li {
    border: 2px solid black;
    background-color: #E8E9EB;
    margin: .3rem 0;
    padding: .3rem;
    color: #000000;
    font-weight: bold;
}

.subFlex {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.projectImg {
    height: 8rem;
    width: 8rem;
    border: 3px dotted black;
}

/* Footer-Styling & Contact-Section */



.contactSection {
    padding: .5rem;
    background-color: #FAF0CA;
    color: #000000;
    margin-bottom: .5rem;
}

.socialMediaIcon {
    height: 3rem;
    width: 3rem;
    margin: .5rem;
}

.socialMediaIcon:hover,
.socialMediaIcon:focus {
    transform: scale(1.1);
    transition: 0.2s ease-in-out;
}

#linkedIn {
    height: 3rem;
    width: 3.4rem;
    margin: .5rem;
}

#linkedIn:hover,
#linkedIn:focus {
    transform: scale(1.1);
    transition: 0.2s ease-in-out;
}

#mailIcon:hover,
#mailIcon:focus {
    transform: rotate(360deg);
    transition: 0.4s;
}

.heliDiv {
    color: white;
    margin-bottom: 1.5rem;
}

#heliIcon {
    height: 4rem;
    width: 4rem;
    margin-right: 1.2rem;
}

#heliIcon:hover,
#heliIcon:focus {
    transform: rotateY(360deg);
    transition: 0.8s ease;
}

.flexBottom {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.flexBottom a {
    display: flex;
    align-items: baseline;
}